"use strict";
//TODO this should get properly wrapped and get its own interface so we don't expose implementation
//  internals and can swap out the implementation if we choose to later. Maybe also rename
//  recovery to v then (this seems to be the convention at least in EVM land)
Object.defineProperty(exports, "__esModule", { value: true });
exports.Signature = void 0;
const secp256k1_1 = require("@noble/secp256k1");
class Signature extends secp256k1_1.Signature {
    r;
    s;
    recovery;
    constructor(r, s, recovery) {
        super(r, s, recovery);
        this.r = r;
        this.s = s;
        this.recovery = recovery;
    }
    toUint8Array() {
        const buff = new Uint8Array(65);
        buff.set(this.toCompactRawBytes());
        buff.set([this.recovery], 64);
        return buff;
    }
    toBuffer() {
        return Buffer.from(this.toUint8Array());
    }
}
exports.Signature = Signature;
//# sourceMappingURL=signature.js.map