"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MockContracts = void 0;
const sdk_base_1 = require("@wormhole-foundation/sdk-base");
class MockContracts {
    _contracts;
    constructor(conf) {
        this._contracts = new Map();
        Object.entries(conf).forEach(([c, cfg]) => {
            this._contracts.set(c, cfg.contracts);
        });
    }
    getContracts(chain) {
        const chainName = (0, sdk_base_1.toChainName)(chain);
        return this._contracts.get(chainName);
    }
    mustGetContracts(chain) {
        const chainName = (0, sdk_base_1.toChainName)(chain);
        const contracts = this._contracts.get(chainName);
        if (!contracts)
            throw new Error(`no Sui contracts found for ${chain}`);
        return contracts;
    }
    getCore(chain) {
        throw new Error("Method not implemented.");
    }
    mustGetCore(chain) {
        throw new Error("Method not implemented.");
    }
    getBridge(chain) {
        throw new Error("Method not implemented.");
    }
    mustGetBridge(chain) {
        throw new Error("Method not implemented.");
    }
    getNftBridge(chain) {
        throw new Error("Method not implemented.");
    }
    mustGetNftBridge(chain) {
        throw new Error("Method not implemented.");
    }
    getTokenBridgeRelayer(chain) {
        throw new Error("Method not implemented.");
    }
    mustGetTokenBridgeRelayer(chain) {
        throw new Error("Method not implemented.");
    }
}
exports.MockContracts = MockContracts;
//# sourceMappingURL=contracts.js.map