import { ChainName, PlatformName } from "@wormhole-foundation/sdk-base";
import { ChainContext, Platform, TxHash, RpcConnection, TokenId, AutomaticTokenBridge, TokenBridge, WormholeMessageId, CircleBridge, AutomaticCircleBridge, ChainsConfig, PlatformCtr, NativeAddress } from "../..";
import { WormholeCore } from "../../protocols/core";
export declare function mockPlatformFactory(p: PlatformName): PlatformCtr<PlatformName>;
export declare class MockPlatform<P extends PlatformName> implements Platform<P> {
    readonly platform: P;
    conf: ChainsConfig;
    constructor(conf: ChainsConfig);
    getDecimals(chain: ChainName, rpc: RpcConnection<P>, token: TokenId | "native"): Promise<bigint>;
    getBalance(chain: ChainName, rpc: RpcConnection<P>, walletAddr: string, token: TokenId | "native"): Promise<bigint | null>;
    getChain(chain: ChainName): ChainContext<P>;
    getRpc(chain: ChainName): RpcConnection<P>;
    getWrappedAsset(chain: ChainName, rpc: RpcConnection<P>, token: TokenId): Promise<TokenId | null>;
    getTokenDecimals(rpc: RpcConnection<P>, token: TokenId): Promise<bigint>;
    getNativeBalance(rpc: RpcConnection<P>, walletAddr: string): Promise<bigint>;
    getTokenBalance(chain: ChainName, rpc: RpcConnection<P>, walletAddr: string, token: TokenId): Promise<bigint | null>;
    parseTransaction(chain: ChainName, rpc: RpcConnection<P>, txid: TxHash): Promise<WormholeMessageId[]>;
    parseAddress(chain: ChainName, address: string): NativeAddress<P>;
    sendWait(chain: ChainName, rpc: RpcConnection<P>, stxns: any[]): Promise<TxHash[]>;
    getWormholeCore(rpc: RpcConnection<P>): Promise<WormholeCore<P>>;
    getTokenBridge(rpc: RpcConnection<P>): Promise<TokenBridge<P>>;
    getAutomaticTokenBridge(rpc: RpcConnection<P>): Promise<AutomaticTokenBridge<P>>;
    getCircleBridge(rpc: RpcConnection<P>): Promise<CircleBridge<P>>;
    getCircleRelayer(rpc: RpcConnection<P>): Promise<AutomaticCircleBridge<P>>;
    getAutomaticCircleBridge(rpc: RpcConnection<P>): Promise<AutomaticCircleBridge<P>>;
}
//# sourceMappingURL=platform.d.ts.map