//TODO this should get properly wrapped and get its own interface so we don't expose implementation
//  internals and can swap out the implementation if we choose to later. Maybe also rename
//  recovery to v then (this seems to be the convention at least in EVM land)
import { Signature as SignatureOptionalRecovery } from "@noble/secp256k1";
export class Signature extends SignatureOptionalRecovery {
    r;
    s;
    recovery;
    constructor(r, s, recovery) {
        super(r, s, recovery);
        this.r = r;
        this.s = s;
        this.recovery = recovery;
    }
    toUint8Array() {
        const buff = new Uint8Array(65);
        buff.set(this.toCompactRawBytes());
        buff.set([this.recovery], 64);
        return buff;
    }
    toBuffer() {
        return Buffer.from(this.toUint8Array());
    }
}
//# sourceMappingURL=signature.js.map