import { toNative, nativeIsRegistered, } from "../..";
import { MockRpc } from "./rpc";
import { MockChain } from "./chain";
import { MockTokenBridge } from "./tokenBridge";
export function mockPlatformFactory(p) {
    class ConcreteMockPlatform extends MockPlatform {
        static _platform = p;
        platform = ConcreteMockPlatform._platform;
    }
    return ConcreteMockPlatform;
}
// Note: don't use this directly, instead create a ConcreteMockPlatform with the
// mockPlatformFactory
export class MockPlatform {
    // @ts-ignore
    platform;
    conf;
    constructor(conf) {
        this.conf = conf;
    }
    getDecimals(chain, rpc, token) {
        throw new Error("Method not implemented.");
    }
    getBalance(chain, rpc, walletAddr, token) {
        throw new Error("Method not implemented.");
    }
    getChain(chain) {
        return new MockChain(this, chain);
    }
    getRpc(chain) {
        // @ts-ignore
        return new MockRpc(chain);
    }
    async getWrappedAsset(chain, rpc, token) {
        throw new Error("Method not implemented.");
    }
    async getTokenDecimals(rpc, token) {
        return 8n;
    }
    async getNativeBalance(rpc, walletAddr) {
        return 0n;
    }
    async getTokenBalance(chain, rpc, walletAddr, token) {
        return 10n;
    }
    async parseTransaction(chain, rpc, txid) {
        throw new Error("Method not implemented");
    }
    parseAddress(chain, address) {
        if (!nativeIsRegistered(chain))
            throw new Error("Chain not registered");
        //@ts-ignore
        return toNative(chain, address).toUniversalAddress();
    }
    async sendWait(chain, rpc, stxns) {
        throw new Error("Method not implemented.");
    }
    async getWormholeCore(rpc) {
        throw new Error("Method not implemented.");
    }
    async getTokenBridge(rpc) {
        // @ts-ignore
        return new MockTokenBridge(rpc);
    }
    async getAutomaticTokenBridge(rpc) {
        throw new Error("Method not implemented.");
    }
    async getCircleBridge(rpc) {
        throw new Error("Method not implemented.");
    }
    async getCircleRelayer(rpc) {
        throw new Error("Method Not implemented.");
    }
    async getAutomaticCircleBridge(rpc) {
        throw new Error("Method not implemented.");
    }
}
//# sourceMappingURL=platform.js.map